curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postal_code": "30030"
}
'{
"equifax_id": "6308009234534",
"first_name": "John",
"last_name": "Smith",
"date_of_birth": "1990-10-10",
"email": "john_smith@email.com",
"mobile_phone": "990909000",
"masked_ssn": "***-**-0909",
"home_phone": "990909000",
"addresses": [
{
"type": "CURRENT",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030"
}
]
}{
"error": {
"code": "validation_error",
"message": "Date of Birth is invalid"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Equifax
Identity
Returns user’s identity to validate all information.
POST
/
api
/
users
/
{id}
/
equifax
/
auth
/
identity
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postal_code": "30030"
}
'{
"equifax_id": "6308009234534",
"first_name": "John",
"last_name": "Smith",
"date_of_birth": "1990-10-10",
"email": "john_smith@email.com",
"mobile_phone": "990909000",
"masked_ssn": "***-**-0909",
"home_phone": "990909000",
"addresses": [
{
"type": "CURRENT",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030"
}
]
}{
"error": {
"code": "validation_error",
"message": "Date of Birth is invalid"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Authorizations
Headers
Body
application/json
Response
Returns Identity